Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(63)

Unified Diff: ports/python_modules/numpy/build.sh

Issue 138913004: Build system for statically-linked Python. (Closed) Base URL: https://naclports.googlecode.com/svn/trunk/src
Patch Set: Responding to comments Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: ports/python_modules/numpy/build.sh
===================================================================
new file mode 100644
--- /dev/null
+++ b/ports/python_modules/numpy/build.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Copyright (c) 2014 The Native Client Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+NACL_PYSETUP_ARGS="build --fcompiler=fake"
+
+BuildStep() {
+ export ATLAS=None
+ export LAPACK=None
+ export BLAS=None
+ ChangeDir ${NACL_PACKAGES_REPOSITORY}/${PACKAGE_DIR}
+ if ! CheckStamp install_host_${PACKAGE_NAME} ; then
+ LogExecute rm -rf build dist
+ export NACL_PORT_BUILD=host
+ # Force 32 bits here for Py_ssize_t correctness.
+ export CC="gcc -m32"
Kester Tong 2014/01/29 20:38:47 On my machine, the -m32 flag disables SSE instruct
Matthew Turk 2014/01/31 15:56:57 Done.
+ export CXX="g++ -m32"
+ export LD="gcc -m32"
+ LogExecute ${NACL_HOST_PYTHON} setup.py \
+ ${NACL_PYSETUP_ARGS} \
+ install --prefix=${NACL_HOST_PYROOT}
+ TouchStamp install_host_${PACKAGE_NAME}
+ fi
+ DefaultPythonModuleBuildStep bootstrap
+}
+
+InstallStep() {
+ DefaultPythonModuleInstallStep
+}
+
+ConfigureStep() {
+ return
+}

Powered by Google App Engine
This is Rietveld 408576698